package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.dto.CardRuleDto;
import com.qmth.distributed.print.business.bean.query.CardRuleParam;
import com.qmth.distributed.print.business.entity.BasicCardRule;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 题卡规则 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicCardRuleMapper extends BaseMapper<BasicCardRule> {

    IPage<CardRuleDto> listPage(Page<CardRuleDto> page, @Param("param") CardRuleParam param);
}
