package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.dto.TemplateDto;
import com.qmth.distributed.print.business.bean.query.TemplateParam;
import com.qmth.distributed.print.business.entity.BasicTemplate;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 通用模板 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicTemplateMapper extends BaseMapper<BasicTemplate> {

    IPage<TemplateDto> listPage(Page<TemplateDto> page, @Param("param") TemplateParam param);
}
