package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.entity.BasicTemplateOrg;
import com.qmth.distributed.print.business.entity.SysOrg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 适用学院（题卡规则、模板适用学院） Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicTemplateOrgMapper extends BaseMapper<BasicTemplateOrg> {

    List<SysOrg> listByTypeAndTemplateId(@Param("type") String type, @Param("templateId") Long templateId);
}
